summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-11-26 21:13:38 -0500
committerMike Frysinger <vapier@gentoo.org>2016-11-26 21:14:16 -0500
commit5a0a27e792ee88cd36b92febe0d0c7e52c25f4de (patch)
treec14e900f6eb4075d4516b9c43c71b3906a85b16d
parentdev-perl/Math-BigInt-GMP: remove old masked version (diff)
downloadgentoo-5a0a27e792ee88cd36b92febe0d0c7e52c25f4de.tar.gz
gentoo-5a0a27e792ee88cd36b92febe0d0c7e52c25f4de.tar.bz2
gentoo-5a0a27e792ee88cd36b92febe0d0c7e52c25f4de.zip
media-libs/netpbm: fix test failures when USE=-jpeg #599940#1
-rw-r--r--media-libs/netpbm/netpbm-10.70.00.ebuild1
-rw-r--r--media-libs/netpbm/netpbm-10.76.00.ebuild6
2 files changed, 5 insertions, 2 deletions
diff --git a/media-libs/netpbm/netpbm-10.70.00.ebuild b/media-libs/netpbm/netpbm-10.70.00.ebuild
index 35fe06c14e8..2775ecbf498 100644
--- a/media-libs/netpbm/netpbm-10.70.00.ebuild
+++ b/media-libs/netpbm/netpbm-10.70.00.ebuild
@@ -73,6 +73,7 @@ src_prepare() {
fi
del=(
pnmtofiasco fiascotopnm # We always disable fiasco
+ $(usex jpeg '' 'jpegtopnm pnmtojpeg ppmtojpeg')
$(usex jbig '' 'jbigtopnm pnmtojbig')
$(usex jpeg2k '' 'jpeg2ktopam pamtojpeg2k')
$(usex rle '' 'pnmtorle rletopnm')
diff --git a/media-libs/netpbm/netpbm-10.76.00.ebuild b/media-libs/netpbm/netpbm-10.76.00.ebuild
index c940abf1f55..225eb6368fe 100644
--- a/media-libs/netpbm/netpbm-10.76.00.ebuild
+++ b/media-libs/netpbm/netpbm-10.76.00.ebuild
@@ -71,14 +71,16 @@ src_prepare() {
fi
del=(
pnmtofiasco fiascotopnm # We always disable fiasco
+ $(usex jpeg '' 'jpegtopnm pnmtojpeg ppmtojpeg')
$(usex jbig '' 'jbigtopnm pnmtojbig')
$(usex jpeg2k '' 'jpeg2ktopam pamtojpeg2k')
$(usex rle '' 'pnmtorle rletopnm')
$(usex tiff '' 'pamtotiff pnmtotiff pnmtotiffcmyk tifftopnm')
)
if [[ ${#del[@]} -gt 0 ]] ; then
- sed -i -r $(printf -- ' -e s/\<%s\>(:.ok)?//' "${del[@]}") test/all-in-place.{ok,test} || die
- sed -i '/^$/d' test/all-in-place.ok || die
+ sed -i -r $(printf -- ' -e s/\<%s\>(:.ok)?//' "${del[@]}") \
+ test/{all-in-place,legacy-names}.{ok,test} || die
+ sed -i '/^$/d' test/{all-in-place,legacy-names}.ok || die
fi
# take care of the importinc stuff ourselves by only doing it once